## edu.stanford.nlp.util
Class ArrayMap<K,V>

    java.lang.Object
      java.util.AbstractMap<K,V>
          edu.stanford.nlp.util.ArrayMap<K,V>

All Implemented Interfaces:
  Map<K,V>

    public final class ArrayMap<K,V>

extends AbstractMap<K,V>

Map backed by an Array.

Author:
  Dan Klein, Roger Levy

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Field Summary
`protected int` `hashCodeCache`

Constructor Summary
`ArrayMap()`
`ArrayMap(int capacity)`
`ArrayMap(K[] keys, V[] values)`
`ArrayMap(Map<? extends K,? extends V> m)`

Method Summary
`Set<Map.Entry<K,V>>` `entrySet()`
`boolean` `equals(Object o)`
`V` `get(Object key)`
`int` `hashCode()`
`boolean` `isEmpty()`
`V` `put(K key, V val)`
`V` `remove(Object key)`
`int` `size()`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, keySet, putAll, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### hashCodeCache

    protected int hashCodeCache

Constructor Detail

### ArrayMap

    public ArrayMap()

### ArrayMap

    public ArrayMap(int capacity)

### ArrayMap

    public ArrayMap(Map<? extends K,? extends V> m)

### ArrayMap

    public ArrayMap(K[] keys,
                    V[] values)

Method Detail

### entrySet

    public Set<Map.Entry<K,V>> entrySet()

  Specified by:
    `entrySet` in interface `Map<K,V>`
  Specified by:
    `entrySet` in class `AbstractMap<K,V>`

### size

    public int size()

  Specified by:
    `size` in interface `Map<K,V>`
  Overrides:
    `size` in class `AbstractMap<K,V>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map<K,V>`
  Overrides:
    `isEmpty` in class `AbstractMap<K,V>`

### put

    public V put(K key,
                 V val)

  Specified by:
    `put` in interface `Map<K,V>`
  Overrides:
    `put` in class `AbstractMap<K,V>`

### get

    public V get(Object key)

  Specified by:
    `get` in interface `Map<K,V>`
  Overrides:
    `get` in class `AbstractMap<K,V>`

### remove

    public V remove(Object key)

  Specified by:
    `remove` in interface `Map<K,V>`
  Overrides:
    `remove` in class `AbstractMap<K,V>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map<K,V>`
  Overrides:
    `hashCode` in class `AbstractMap<K,V>`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `Map<K,V>`
  Overrides:
    `equals` in class `AbstractMap<K,V>`

Stanford NLP Group